@echo off
rem Copyright M.Mohai 1999-2012

rem Edit default locations as necessary:
rem Default folder of programs ("Program Files (x86)" on 64-bit systems)
set progdir=Program Files
rem Default folder of XPS MultiQuant 
set xmqdir=XMQ

echo.
echo XPS MultiQuant update from version 7.0 to 7.10
echo __________________________________________________________
echo.
echo This command file will copy the new files to the default
echo location of XPS MultiQuant  ( C:\%progdir%\%xmqdir% )
echo.

ver | find "Version 6.1" > nul
if not errorlevel 1 goto NT
ver | find "Version 6.0" > nul
if not errorlevel 1 goto NT
ver | find "2003" > nul
if not errorlevel 1 goto NT
ver | find "XP" > nul
if not errorlevel 1 goto NT
ver | find "2000" > nul
if not errorlevel 1 goto NT
ver | find "NT" > nul
if not errorlevel 1 goto NT
ver | find "95" > nul
if not errorlevel 1 goto 9X
ver | find "98" > nul
if not errorlevel 1 goto 9X
ver | find "Millennium" > nul
if not errorlevel 1 goto 9X
echo Windows version could not be determined
goto MAN

:NT
set PROCESSOR_ARCHITECTURE | find "64" > nul
if not errorlevel 1 set progdir=Program Files (x86)
title XPS MultiQuant upgrade
set /p answ=Do you want to continue [Y,N]? 
if /i '%answ%'=='Y' goto CP
goto NO

:9X
echo off
choice /c:YN Do you want to continue 
if errorlevel 2 goto NO

:CP
echo Files are copied to \%progdir%\%xmqdir%
if not exist "\%progdir%\%xmqdir%\XMQ.exe" goto DIR
copy /y XMQ.exe "\%progdir%\%xmqdir%"
copy /y XMQ.chm "\%progdir%\%xmqdir%"
copy /y XMQ.lib "\%progdir%\%xmqdir%"
copy /y XMQ-Manual.pdf "\%progdir%\%xmqdir%"
echo Update finished
goto END

:DIR
echo Default location of XPS MultiQuant is not found

:MAN
echo Copy files manually

:NO
echo Batch terminated

:END
echo.
pause
